> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a blueprint file

## Permissions

Requires a service user with the `ManageRepoBlueprints` permission at the organization level.


## OpenAPI

````yaml /v3-openapi.yaml DELETE /v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files/{file_id}
openapi: 3.1.0
info:
  description: Devin v3 API with Service User authentication and RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}/files/{file_id}:
    delete:
      tags:
        - snapshot_setup
      summary: Delete a blueprint file
      operationId: >-
        delete_org_blueprint_file_v3beta1_organizations__org_id__snapshot_setup_blueprints__blueprint_id__files__file_id__delete
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
        - in: path
          name: file_id
          required: true
          schema:
            title: File Id
            type: string
      responses:
        '204':
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Service User credential (prefix: cog_)'
      scheme: bearer
      type: http

````